# $Revision: 1.10 $, $Date: 2002/06/30 19:09:18 $
Summary:	Plugin which draws graphics
Summary(pl):	Plugin wizualizacji graficznej
Name:		xmms-visualization-jess
Version:	2.0.0
Release:	3
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://arquier.free.fr/jess-%{version}.tar.gz
Patch0:		%{name}-usleep.patch
URL:		http://arquier.free.fr/
Requires:	xmms
BuildRequires:	xmms-devel >= 1.2.3
BuildRequires:	glib-devel >= 1.2.2
BuildRequires:	SDL-devel >= 1.1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Plugin which draw lines, curves, and 3D grid moving in concordance
with the music.

%description -l pl
Wtyczka rysujca linie, krzywe oraz grafik 3D w koordynacji z muzyk.

%prep
%setup -q -n jess-%{version}
%patch0 -p1

%build
%{__make} \
	COMMON_CFLAGS="%{rpmcflags} \
	-ffast-math `glib-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/`%{_bindir}/xmms-config --visualization-plugin-dir`/

./libtool install libjess.la \
	$RPM_BUILD_ROOT/`%{_bindir}/xmms-config	--visualization-plugin-dir`/libjess.la
install .libs/libjess.so.*.*.* \
	$RPM_BUILD_ROOT/`%{_bindir}/xmms-config	--visualization-plugin-dir`/libjess.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog
%attr(755,root,root) %{_libdir}/xmms/*/*.so
%attr(755,root,root) %{_libdir}/xmms/*/*.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xmms-visualization-jess.spec,v $
Revision 1.10  2002/06/30 19:09:18  marcus
- use new %doc
- rel.3.

Revision 1.9  2002/05/01 20:46:49  filon
- gtk+ is really not needed (see makefiles)

Revision 1.8  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:15:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/13 09:37:25  qboosh
- cosmetics in summary/description

Revision 1.4  2001/12/12 15:11:55  alchemyx
- added patch for jess.c (builds OK now)
- release 2, STB

Revision 1.3  2001/04/30 16:05:33  kloczek
- added using %%{rpmcflags} macro.

Revision 1.2  2001/03/24 22:51:34  kloczek
- adapterized.

Revision 1.1  2001/03/24 22:38:45  misiek
new plugin
